# List Dapr configurations

`GET /apis/dapr.diagrid.io/v1beta1/projects/{ProjectId}/configurations`

List the Dapr configurations in a project.

## Request

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `ProjectId` | string | Yes | Unique identifier of the project. |

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `showsensitive` | boolean | No | Whether to return sensitive data unmasked. |
| `noextramapping` | boolean | No | Skip loading extra related data and return only the resource metadata and spec. |
| `scopes` | string | No | Filter resources by their scopes. |
| `type` | string | No | Filter components by their type. |

## Responses

### 200 — The list of Dapr configurations.

`application/json`

- `apiVersion` (string)
- `items` (object[])
  - `apiVersion` (string)
  - `kind` (string)
  - `metadata` (object)
    - `name` (string)
    - `uid` (string)
    - `resourceVersion` (integer)
    - `createdAt` (string)
    - `updatedAt` (string)
    - `deletedAt` (string)
    - `labels` (object<string, string>)
    - `annotations` (object)
  - `spec` (object) — ConfigurationSpec is the spec for a configuration.
    - `appHttpPipeline` (object) — PipelineSpec defines the middleware pipeline.
      - `handlers` (object[])
        - `name` (string)
        - `type` (string)
        - `selector` (object) — SelectorSpec selects target services to which the handler is to be applied.
          - `fields` (object[])
            - *(nested fields omitted at this depth)*
    - `httpPipeline` (object) — PipelineSpec defines the middleware pipeline.
      - `handlers` (object[])
        - `name` (string)
        - `type` (string)
        - `selector` (object) — SelectorSpec selects target services to which the handler is to be applied.
          - `fields` (object[])
            - *(nested fields omitted at this depth)*
    - `tracing` (object) — TracingSpec defines distributed tracing configuration.
      - `samplingRate` (string)
      - `stdout` (boolean)
      - `zipkin` (object) — ZipkinSpec defines Zipkin trace configurations.
        - `endpointAddress` (string)
      - `otel` (object) — OtelSpec defines Otel exporter configurations.
        - `protocol` (string) — One of: `http`, `grpc`.
        - `endpointAddress` (string)
        - `isSecure` (boolean)
        - `headers` (object[]) — Headers to add to the OTLP trace exporter request. Each header can contain plaintext values, reference secrets, or reference environment variables.
          - `name` (string) — Name of the property.
          - `value` — Value of the property, in plaintext.
            - Any of:
              - **string**
                - *(nested fields omitted at this depth)*
              - **integer**
                - *(nested fields omitted at this depth)*
              - **number**
                - *(nested fields omitted at this depth)*
              - **boolean**
                - *(nested fields omitted at this depth)*
          - `secretKeyRef` (object) — SecretKeyRef is a reference to a secret holding the value for the name/value item.
            - `name` (string) — Secret name.
            - `key` (string) — Field in the secret.
          - `envRef` (string) — EnvRef is the name of an environmental variable to read the value from.
        - `timeout` (string) — Timeout for the OTLP trace exporter request.
    - `metric` (object) — MetricSpec defines metrics configuration.
      - `enabled` (boolean)
      - `recordErrorCodes` (boolean)
      - `http` (object) — MetricHTTP defines configuration for metrics for the HTTP server.
        - `increasedCardinality` (boolean) — If false, metrics for the HTTP server are collected with increased cardinality. The default is true in Dapr 1.13, but will be changed to false in 1.15+.
        - `pathMatching` (string[])
        - `excludeVerbs` (boolean) — If true (default is false) HTTP verbs (e.g., GET, POST) are excluded from the metrics.
      - `rules` (object[])
        - `name` (string)
        - `labels` (object[])
          - `name` (string)
          - `regex` (object<string, string>)
      - `latencyDistributionBuckets` (integer[]) — The LatencyDistributionBuckets variable specifies the latency distribution buckets (in milliseconds) used for histograms in the application. If this variable is not set or left empty, the application will default to using the standard histogram buckets. The default histogram latency buckets (in milliseconds) are as follows: 1, 2, 3, 4, 5, 6, 8, 10, 13, 16, 20, 25, 30, 40, 50, 65, 80, 100, 130, 160, 200, 250, 300, 400, 500, 650, 800, 1,000, 2,000, 5,000, 10,000, 20,000, 50,000, 100,000.
      - `workflow` (object) — WorkflowMetrics configures metrics options specific to workflows and activities.
        - `latencyDistributionBuckets` (integer[]) — LatencyDistributionBuckets specifies the latency distribution buckets used for the workflow and activity execution latency histograms. Units are defined by LatencyDistributionUnits (defaults to milliseconds). If not set or left empty, those histograms fall back to the shared MetricSpec.LatencyDistributionBuckets.
        - `latencyDistributionUnits` (string) — LatencyDistributionUnits is the unit the LatencyDistributionBuckets values are expressed in (for example "1ms" or "1s"). It scales the configured buckets into the milliseconds the histograms are recorded in.
    - `metrics` (object) — MetricSpec defines metrics configuration.
      - `enabled` (boolean)
      - `recordErrorCodes` (boolean)
      - `http` (object) — MetricHTTP defines configuration for metrics for the HTTP server.
        - `increasedCardinality` (boolean) — If false, metrics for the HTTP server are collected with increased cardinality. The default is true in Dapr 1.13, but will be changed to false in 1.15+.
        - `pathMatching` (string[])
        - `excludeVerbs` (boolean) — If true (default is false) HTTP verbs (e.g., GET, POST) are excluded from the metrics.
      - `rules` (object[])
        - `name` (string)
        - `labels` (object[])
          - `name` (string)
          - `regex` (object<string, string>)
      - `latencyDistributionBuckets` (integer[]) — The LatencyDistributionBuckets variable specifies the latency distribution buckets (in milliseconds) used for histograms in the application. If this variable is not set or left empty, the application will default to using the standard histogram buckets. The default histogram latency buckets (in milliseconds) are as follows: 1, 2, 3, 4, 5, 6, 8, 10, 13, 16, 20, 25, 30, 40, 50, 65, 80, 100, 130, 160, 200, 250, 300, 400, 500, 650, 800, 1,000, 2,000, 5,000, 10,000, 20,000, 50,000, 100,000.
      - `workflow` (object) — WorkflowMetrics configures metrics options specific to workflows and activities.
        - `latencyDistributionBuckets` (integer[]) — LatencyDistributionBuckets specifies the latency distribution buckets used for the workflow and activity execution latency histograms. Units are defined by LatencyDistributionUnits (defaults to milliseconds). If not set or left empty, those histograms fall back to the shared MetricSpec.LatencyDistributionBuckets.
        - `latencyDistributionUnits` (string) — LatencyDistributionUnits is the unit the LatencyDistributionBuckets values are expressed in (for example "1ms" or "1s"). It scales the configured buckets into the milliseconds the histograms are recorded in.
    - `mtls` (object) — MTLSSpec defines mTLS configuration.
      - `enabled` (boolean)
      - `workloadCertTTL` (string)
      - `allowedClockSkew` (string)
      - `sentryAddress` (string)
      - `controlPlaneTrustDomain` (string)
      - `tokenValidators` (object[]) — Additional token validators to use. When Dapr is running in Kubernetes mode, this is in addition to the built-in "kubernetes" validator. In self-hosted mode, enabling a custom validator will disable the built-in "insecure" validator.
        - `name` (string) — Name of the validator.
        - `options` — Options for the validator, if any.
    - `secrets` (object) — SecretsSpec is the spec for secrets configuration.
      - `scopes` (object[])
        - `storeName` (string)
        - `defaultAccess` (string) — One of: `allow`, `deny`.
        - `allowedSecrets` (string[])
        - `deniedSecrets` (string[])
    - `accessControl` (object) — AccessControlSpec is the spec object in ConfigurationSpec.
      - `defaultAction` (string) — One of: `allow`, `deny`.
      - `trustDomain` (string)
      - `policies` (object[])
        - `appId` (string)
        - `defaultAction` (string) — One of: `allow`, `deny`.
        - `trustDomain` (string)
        - `namespace` (string)
        - `operations` (object[])
          - `name` (string)
          - `action` (string) — One of: `allow`, `deny`.
          - `httpVerb` (string[])
    - `nameResolution` (object) — NameResolutionSpec is the spec for name resolution configuration.
      - `component` (string)
      - `version` (string)
      - `configuration`
    - `features` (object[])
      - `name` (string)
      - `enabled` (boolean)
    - `api` (object) — APISpec describes the configuration for Dapr APIs.
      - `allowed` (object[]) — List of allowed APIs. Can be used in conjunction with denied.
        - `name` (string)
        - `version` (string)
        - `protocol` (string) — One of: `http`, `grpc`.
      - `denied` (object[]) — List of denied APIs. Can be used in conjunction with allowed.
        - `name` (string)
        - `version` (string)
        - `protocol` (string) — One of: `http`, `grpc`.
    - `components` (object) — ComponentsSpec describes the configuration for Dapr components.
      - `deny` (string[]) — Denylist of component types that cannot be instantiated.
    - `logging` (object) — LoggingSpec defines the configuration for logging.
      - `apiLogging` (object) — APILoggingSpec defines the configuration for API logging.
        - `enabled` (boolean) — Default value for enabling API logging. Sidecars can always override this by setting `--enable-api-logging` to true or false explicitly. The default value is false.
        - `obfuscateURLs` (boolean) — When enabled, obfuscates the values of URLs in HTTP API logs, logging the route name rather than the full path being invoked, which could contain PII. Default: false. This option has no effect if API logging is disabled.
        - `omitHealthChecks` (boolean) — If true, health checks are not reported in API logs. Default: false. This option has no effect if API logging is disabled.
    - `wasm` (object) — WasmSpec describes the security profile for all Dapr Wasm components.
      - `strictSandbox` (boolean) — Force enabling strict sandbox mode for all WASM components. When this is enabled, WASM components always run in strict mode regardless of their configuration. Strict mode enhances security of the WASM sandbox by limiting access to certain capabilities such as real-time clocks and random number generators.
    - `workflow` (object) — WorkflowSpec defines the configuration for Dapr workflows.
      - `maxConcurrentWorkflowInvocations` (integer (int32)) — maxConcurrentWorkflowInvocations is the maximum number of concurrent workflow invocations that can be scheduled by a single Dapr instance. Attempted invocations beyond this will be queued until the number of concurrent invocations drops below this value. If omitted, no maximum will be enforced.
      - `maxConcurrentActivityInvocations` (integer (int32)) — maxConcurrentActivityInvocations is the maximum number of concurrent activities that can be processed by a single Dapr instance. Attempted invocations beyond this will be queued until the number of concurrent invocations drops below this value. If omitted, no maximum will be enforced.
      - `globalMaxConcurrentWorkflowInvocations` (integer (int32)) — globalMaxConcurrentWorkflowInvocations is the maximum number of concurrent workflow invocations across all replicas, enforced by the scheduler. If omitted, no global maximum will be enforced.
      - `globalMaxConcurrentActivityInvocations` (integer (int32)) — globalMaxConcurrentActivityInvocations is the maximum number of concurrent activity invocations across all replicas, enforced by the scheduler. If omitted, no global maximum will be enforced.
      - `workflowConcurrencyLimits` (object[]) — workflowConcurrencyLimits defines per-workflow-name concurrency limits enforced globally across all replicas by the scheduler.
        - `name` (string) — Name is the workflow or activity name to limit.
        - `maxConcurrent` (integer (int32)) — MaxConcurrent is the maximum number of concurrent invocations across all replicas.
      - `activityConcurrencyLimits` (object[]) — activityConcurrencyLimits defines per-activity-name concurrency limits enforced globally across all replicas by the scheduler.
        - `name` (string) — Name is the workflow or activity name to limit.
        - `maxConcurrent` (integer (int32)) — MaxConcurrent is the maximum number of concurrent invocations across all replicas.
      - `stateRetentionPolicy` (object) — WorkflowStateRetentionPolicy defines the retention policy of workflow state for workflow instances once they reaches a specific or any terminal state. If not set, workflow instances will not be automatically purged. If a specific and any terminal state are both set, the specific terminal state takes precedence. Accepts duration strings, e.g. "72h" or "30m", including immediate values "0s".
        - `anyTerminal` (string) — AnyTerminal is the TTL for purging workflow instances that reach any terminal state.
        - `completed` (string) — Completed is the TTL for purging workflow instances that reach the Completed terminal state.
        - `failed` (string) — Failed is the TTL for purging workflow instances that reach the Failed terminal state.
        - `terminated` (string) — Terminated is the TTL for purging workflow instances that reach the Terminated terminal state.
  - `status` (object)
    - `status` (string) — Status is the current processing status of the resource.
    - `updatedAt` (string) — UpdatedAt is the time of the last status update.
    - `messages` (object[]) — Messages contains any status messages, such as error details.
      - `message` (string)
    - `instances` (object[]) — Instances includes the status for each instance of the resource.
      - `cluster` (string) — Cluster is the name of the cluster hosting this instance.
      - `region` (string) — Region is the region where the instance is located (e.g. "us-east-1").
      - `placementId` (string) — PlacementID is the project placement this instance belongs to (e.g. "1").
      - `status` (string) — Status is the current processing status of the resource.
      - `updatedAt` (string) — UpdatedAt is the time of the last status update.
      - `messages` (object[]) — Messages contains any status messages, such as error details.
        - `message` (string)
- `kind` (string)
- `metadata` (object)

`application/vnd.api+json`

- `apiVersion` (string)
- `items` (object[])
  - `data` (object) — Required.
    - `type` (string) — Type of the resource object.
    - `id` (string) — Unique identifier of the resource object.
    - `attributes` (object)
      - `apiVersion` (string)
      - `kind` (string)
      - `metadata` (object)
        - `name` (string)
        - `uid` (string)
        - `resourceVersion` (integer)
        - `createdAt` (string)
        - `updatedAt` (string)
        - `deletedAt` (string)
        - `labels` (object<string, string>)
        - `annotations` (object)
      - `spec` (object) — ConfigurationSpec is the spec for a configuration.
        - `appHttpPipeline` (object) — PipelineSpec defines the middleware pipeline.
          - `handlers` (object[])
            - `name` (string)
            - `type` (string)
            - `selector` (object) — SelectorSpec selects target services to which the handler is to be applied.
              - *(nested fields omitted at this depth)*
        - `httpPipeline` (object) — PipelineSpec defines the middleware pipeline.
          - `handlers` (object[])
            - `name` (string)
            - `type` (string)
            - `selector` (object) — SelectorSpec selects target services to which the handler is to be applied.
              - *(nested fields omitted at this depth)*
        - `tracing` (object) — TracingSpec defines distributed tracing configuration.
          - `samplingRate` (string)
          - `stdout` (boolean)
          - `zipkin` (object) — ZipkinSpec defines Zipkin trace configurations.
            - `endpointAddress` (string)
          - `otel` (object) — OtelSpec defines Otel exporter configurations.
            - `protocol` (string) — One of: `http`, `grpc`.
            - `endpointAddress` (string)
            - `isSecure` (boolean)
            - `headers` (object[]) — Headers to add to the OTLP trace exporter request. Each header can contain plaintext values, reference secrets, or reference environment variables.
              - *(nested fields omitted at this depth)*
            - `timeout` (string) — Timeout for the OTLP trace exporter request.
        - `metric` (object) — MetricSpec defines metrics configuration.
          - `enabled` (boolean)
          - `recordErrorCodes` (boolean)
          - `http` (object) — MetricHTTP defines configuration for metrics for the HTTP server.
            - `increasedCardinality` (boolean) — If false, metrics for the HTTP server are collected with increased cardinality. The default is true in Dapr 1.13, but will be changed to false in 1.15+.
            - `pathMatching` (string[])
            - `excludeVerbs` (boolean) — If true (default is false) HTTP verbs (e.g., GET, POST) are excluded from the metrics.
          - `rules` (object[])
            - `name` (string)
            - `labels` (object[])
              - *(nested fields omitted at this depth)*
          - `latencyDistributionBuckets` (integer[]) — The LatencyDistributionBuckets variable specifies the latency distribution buckets (in milliseconds) used for histograms in the application. If this variable is not set or left empty, the application will default to using the standard histogram buckets. The default histogram latency buckets (in milliseconds) are as follows: 1, 2, 3, 4, 5, 6, 8, 10, 13, 16, 20, 25, 30, 40, 50, 65, 80, 100, 130, 160, 200, 250, 300, 400, 500, 650, 800, 1,000, 2,000, 5,000, 10,000, 20,000, 50,000, 100,000.
          - `workflow` (object) — WorkflowMetrics configures metrics options specific to workflows and activities.
            - `latencyDistributionBuckets` (integer[]) — LatencyDistributionBuckets specifies the latency distribution buckets used for the workflow and activity execution latency histograms. Units are defined by LatencyDistributionUnits (defaults to milliseconds). If not set or left empty, those histograms fall back to the shared MetricSpec.LatencyDistributionBuckets.
            - `latencyDistributionUnits` (string) — LatencyDistributionUnits is the unit the LatencyDistributionBuckets values are expressed in (for example "1ms" or "1s"). It scales the configured buckets into the milliseconds the histograms are recorded in.
        - `metrics` (object) — MetricSpec defines metrics configuration.
          - `enabled` (boolean)
          - `recordErrorCodes` (boolean)
          - `http` (object) — MetricHTTP defines configuration for metrics for the HTTP server.
            - `increasedCardinality` (boolean) — If false, metrics for the HTTP server are collected with increased cardinality. The default is true in Dapr 1.13, but will be changed to false in 1.15+.
            - `pathMatching` (string[])
            - `excludeVerbs` (boolean) — If true (default is false) HTTP verbs (e.g., GET, POST) are excluded from the metrics.
          - `rules` (object[])
            - `name` (string)
            - `labels` (object[])
              - *(nested fields omitted at this depth)*
          - `latencyDistributionBuckets` (integer[]) — The LatencyDistributionBuckets variable specifies the latency distribution buckets (in milliseconds) used for histograms in the application. If this variable is not set or left empty, the application will default to using the standard histogram buckets. The default histogram latency buckets (in milliseconds) are as follows: 1, 2, 3, 4, 5, 6, 8, 10, 13, 16, 20, 25, 30, 40, 50, 65, 80, 100, 130, 160, 200, 250, 300, 400, 500, 650, 800, 1,000, 2,000, 5,000, 10,000, 20,000, 50,000, 100,000.
          - `workflow` (object) — WorkflowMetrics configures metrics options specific to workflows and activities.
            - `latencyDistributionBuckets` (integer[]) — LatencyDistributionBuckets specifies the latency distribution buckets used for the workflow and activity execution latency histograms. Units are defined by LatencyDistributionUnits (defaults to milliseconds). If not set or left empty, those histograms fall back to the shared MetricSpec.LatencyDistributionBuckets.
            - `latencyDistributionUnits` (string) — LatencyDistributionUnits is the unit the LatencyDistributionBuckets values are expressed in (for example "1ms" or "1s"). It scales the configured buckets into the milliseconds the histograms are recorded in.
        - `mtls` (object) — MTLSSpec defines mTLS configuration.
          - `enabled` (boolean)
          - `workloadCertTTL` (string)
          - `allowedClockSkew` (string)
          - `sentryAddress` (string)
          - `controlPlaneTrustDomain` (string)
          - `tokenValidators` (object[]) — Additional token validators to use. When Dapr is running in Kubernetes mode, this is in addition to the built-in "kubernetes" validator. In self-hosted mode, enabling a custom validator will disable the built-in "insecure" validator.
            - `name` (string) — Name of the validator.
            - `options` — Options for the validator, if any.
        - `secrets` (object) — SecretsSpec is the spec for secrets configuration.
          - `scopes` (object[])
            - `storeName` (string)
            - `defaultAccess` (string) — One of: `allow`, `deny`.
            - `allowedSecrets` (string[])
            - `deniedSecrets` (string[])
        - `accessControl` (object) — AccessControlSpec is the spec object in ConfigurationSpec.
          - `defaultAction` (string) — One of: `allow`, `deny`.
          - `trustDomain` (string)
          - `policies` (object[])
            - `appId` (string)
            - `defaultAction` (string) — One of: `allow`, `deny`.
            - `trustDomain` (string)
            - `namespace` (string)
            - `operations` (object[])
              - *(nested fields omitted at this depth)*
        - `nameResolution` (object) — NameResolutionSpec is the spec for name resolution configuration.
          - `component` (string)
          - `version` (string)
          - `configuration`
        - `features` (object[])
          - `name` (string)
          - `enabled` (boolean)
        - `api` (object) — APISpec describes the configuration for Dapr APIs.
          - `allowed` (object[]) — List of allowed APIs. Can be used in conjunction with denied.
            - `name` (string)
            - `version` (string)
            - `protocol` (string) — One of: `http`, `grpc`.
          - `denied` (object[]) — List of denied APIs. Can be used in conjunction with allowed.
            - `name` (string)
            - `version` (string)
            - `protocol` (string) — One of: `http`, `grpc`.
        - `components` (object) — ComponentsSpec describes the configuration for Dapr components.
          - `deny` (string[]) — Denylist of component types that cannot be instantiated.
        - `logging` (object) — LoggingSpec defines the configuration for logging.
          - `apiLogging` (object) — APILoggingSpec defines the configuration for API logging.
            - `enabled` (boolean) — Default value for enabling API logging. Sidecars can always override this by setting `--enable-api-logging` to true or false explicitly. The default value is false.
            - `obfuscateURLs` (boolean) — When enabled, obfuscates the values of URLs in HTTP API logs, logging the route name rather than the full path being invoked, which could contain PII. Default: false. This option has no effect if API logging is disabled.
            - `omitHealthChecks` (boolean) — If true, health checks are not reported in API logs. Default: false. This option has no effect if API logging is disabled.
        - `wasm` (object) — WasmSpec describes the security profile for all Dapr Wasm components.
          - `strictSandbox` (boolean) — Force enabling strict sandbox mode for all WASM components. When this is enabled, WASM components always run in strict mode regardless of their configuration. Strict mode enhances security of the WASM sandbox by limiting access to certain capabilities such as real-time clocks and random number generators.
        - `workflow` (object) — WorkflowSpec defines the configuration for Dapr workflows.
          - `maxConcurrentWorkflowInvocations` (integer (int32)) — maxConcurrentWorkflowInvocations is the maximum number of concurrent workflow invocations that can be scheduled by a single Dapr instance. Attempted invocations beyond this will be queued until the number of concurrent invocations drops below this value. If omitted, no maximum will be enforced.
          - `maxConcurrentActivityInvocations` (integer (int32)) — maxConcurrentActivityInvocations is the maximum number of concurrent activities that can be processed by a single Dapr instance. Attempted invocations beyond this will be queued until the number of concurrent invocations drops below this value. If omitted, no maximum will be enforced.
          - `globalMaxConcurrentWorkflowInvocations` (integer (int32)) — globalMaxConcurrentWorkflowInvocations is the maximum number of concurrent workflow invocations across all replicas, enforced by the scheduler. If omitted, no global maximum will be enforced.
          - `globalMaxConcurrentActivityInvocations` (integer (int32)) — globalMaxConcurrentActivityInvocations is the maximum number of concurrent activity invocations across all replicas, enforced by the scheduler. If omitted, no global maximum will be enforced.
          - `workflowConcurrencyLimits` (object[]) — workflowConcurrencyLimits defines per-workflow-name concurrency limits enforced globally across all replicas by the scheduler.
            - `name` (string) — Name is the workflow or activity name to limit.
            - `maxConcurrent` (integer (int32)) — MaxConcurrent is the maximum number of concurrent invocations across all replicas.
          - `activityConcurrencyLimits` (object[]) — activityConcurrencyLimits defines per-activity-name concurrency limits enforced globally across all replicas by the scheduler.
            - `name` (string) — Name is the workflow or activity name to limit.
            - `maxConcurrent` (integer (int32)) — MaxConcurrent is the maximum number of concurrent invocations across all replicas.
          - `stateRetentionPolicy` (object) — WorkflowStateRetentionPolicy defines the retention policy of workflow state for workflow instances once they reaches a specific or any terminal state. If not set, workflow instances will not be automatically purged. If a specific and any terminal state are both set, the specific terminal state takes precedence. Accepts duration strings, e.g. "72h" or "30m", including immediate values "0s".
            - `anyTerminal` (string) — AnyTerminal is the TTL for purging workflow instances that reach any terminal state.
            - `completed` (string) — Completed is the TTL for purging workflow instances that reach the Completed terminal state.
            - `failed` (string) — Failed is the TTL for purging workflow instances that reach the Failed terminal state.
            - `terminated` (string) — Terminated is the TTL for purging workflow instances that reach the Terminated terminal state.
      - `status` (object)
        - `status` (string) — Status is the current processing status of the resource.
        - `updatedAt` (string) — UpdatedAt is the time of the last status update.
        - `messages` (object[]) — Messages contains any status messages, such as error details.
          - `message` (string)
        - `instances` (object[]) — Instances includes the status for each instance of the resource.
          - `cluster` (string) — Cluster is the name of the cluster hosting this instance.
          - `region` (string) — Region is the region where the instance is located (e.g. "us-east-1").
          - `placementId` (string) — PlacementID is the project placement this instance belongs to (e.g. "1").
          - `status` (string) — Status is the current processing status of the resource.
          - `updatedAt` (string) — UpdatedAt is the time of the last status update.
          - `messages` (object[]) — Messages contains any status messages, such as error details.
            - *(nested fields omitted at this depth)*
    - `relationships` (object<string, object>) — Members of the relationships object represent references from the resource object in which it's defined to other resource objects.
      - Any of:
        - **option 1**
        - **option 2**
        - **option 3**
    - `links` (object<string, object>) — Link members related to the primary data.
      - One of:
        - **string (uri-reference)** — A string containing the link's URL.
        - **object**
          - `href` (string (uri-reference)) — Required. A string containing the link's URL.
          - `meta` (object) — Non-standard meta-information that can not be represented as an attribute or relationship.
    - `meta` (object) — Non-standard meta-information that can not be represented as an attribute or relationship.
  - `links` (object<string, object>) — Link members related to the primary data.
    - One of:
      - **string (uri-reference)** — A string containing the link's URL.
      - **object**
        - `href` (string (uri-reference)) — Required. A string containing the link's URL.
        - `meta` (object) — Non-standard meta-information that can not be represented as an attribute or relationship.
- `kind` (string)
- `metadata` (object)
  - `name` (string)
  - `uid` (string)
  - `resourceVersion` (integer)
  - `createdAt` (string)
  - `updatedAt` (string)
  - `deletedAt` (string)
  - `labels` (object<string, string>)
  - `annotations` (object)

### default — Unexpected error.

`application/json`

In the case of an error, a standard format error response body will be returned and the HTTP status code will be set to an error status. The response contains an object with a single error object.

- `code` (string) — Required. This is the same as the HTTP status of the response.
- `message` (string) — Required. A short description of the error.
- `status` (object) — Required. A status code that indicates the error type.
- `details` (object) — Additional details about the errors.
  - `@type` (string) — The type of error.
  - `reason` (string) — A reason for the error.
  - `domain` (string) — The domain in which the error occurred.
  - `metadata` (object) — Additional metadata about the error.

`application/vnd.api+json`

JSONAPI.org specification error response wrapper for UI.

- `error` (object) — In the case of an error, a standard format error response body will be returned and the HTTP status code will be set to an error status. The response contains an object with a single error object.
  - `code` (string) — Required. This is the same as the HTTP status of the response.
  - `message` (string) — Required. A short description of the error.
  - `status` (object) — Required. A status code that indicates the error type.
  - `details` (object) — Additional details about the errors.
    - `@type` (string) — The type of error.
    - `reason` (string) — A reason for the error.
    - `domain` (string) — The domain in which the error occurred.
    - `metadata` (object) — Additional metadata about the error.
- `meta` (object<string, object>) — Link members related to the primary data.
  - One of:
    - **string (uri-reference)** — A string containing the link's URL.
    - **object**
      - `href` (string (uri-reference)) — Required. A string containing the link's URL.
      - `meta` (object) — Non-standard meta-information that can not be represented as an attribute or relationship.
- `links` (object) — Non-standard meta-information that can not be represented as an attribute or relationship.
